SMEvolution
Keywords: uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution
Class SMEvolution

    java.lang.Object
      uk.ac.bbk.dcs.automed.evolution.schemaModelEvolution.SMEvolution

All Implemented Interfaces:
  Evolution

Direct Known Subclasses:
  ExtensionalSchemaEvolution, VirtualSchemaEvolution

    public abstract class SMEvolution

extends java.lang.Object
implements Evolution

Field Summary
`protected int` | `evolutionType`
`protected Schema` | `evolvedSchema`
`protected boolean` | `isRepair`
`protected Schema` | `originalSchema`
`protected int` | `schemaEvolutionType`
`protected Schema` | `schemaToEvolve`

Fields inherited from interface uk.ac.bbk.dcs.automed.evolution.Evolution
`EVOLVE_DATA, EVOLVE_EXTENTIONAL_SCHEMA, EVOLVE_INTEGRATED_SCHEMA, EVOLVE_SCHEMAMODEL`

Constructor Summary
`SMEvolution(int schemaEvolutionType, boolean isRepair, Schema originalSchema, Schema evolvedSchema)`

Method Summary
`int` | `getEvolutionType()`
`boolean` | `getIsRepair()`
`int` | `getSchemaEvolutionType()`
`protected abstract void` | `processAddTransformation(Transformation crntTransformation)`
`protected abstract void` | `processContractTransformation(Transformation crntTransformation)`
`protected abstract void` | `processDeleteTransformation(Transformation crntTransformation)`
`void` | `processEvolution()`
`void` | `processEvolution(Transformation[] oldTs)`
`protected abstract void` | `processExtendTransformation(Transformation crntTransformation)`
`protected abstract void` | `processRenameTransformation(Transformation crntTransformation)`
`void` | `processTransformation(Transformation crntTransformation)` Process A Passed Transformation
`boolean` | `repairPathway(Pathway pathway)`
`boolean` | `repairPathway(Transformation[] transformation)`
`void` | `setIsRepair(boolean isRepair)`
`Pathway` | `simplifyPathway(Pathway pathway)` The current implementation of this method is null.
`java.util.List` | `simplifyPathway(Schema fromSchema, Schema toSchema)` This is over loaded method to simplify the pathway between two schemas.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schemaToEvolve

    protected Schema schemaToEvolve

### evolutionType

    protected int evolutionType

### originalSchema

    protected Schema originalSchema

### evolvedSchema

    protected Schema evolvedSchema

### isRepair

    protected boolean isRepair

### schemaEvolutionType

    protected int schemaEvolutionType

Constructor Detail

### SMEvolution

    public SMEvolution(int schemaEvolutionType,
                       boolean isRepair,
                       Schema originalSchema,
                       Schema evolvedSchema)
                throws SMEvolutionException

Throws:
  `SMEvolutionException`

Method Detail

### setIsRepair

    public void setIsRepair(boolean isRepair)

### getEvolutionType

    public int getEvolutionType()

  Specified by:
    `getEvolutionType` in interface `Evolution`

### getIsRepair

    public boolean getIsRepair()

### simplifyPathway

    public Pathway simplifyPathway(Pathway pathway)

  The current implementation of this method is null. This method can be implemented to return the simplified version of the pathhway.

### simplifyPathway

    public java.util.List simplifyPathway(Schema fromSchema,
                                          Schema toSchema)
                                   throws SMEvolutionException

  This is over loaded method to simplify the pathway between two schemas. And returns the List of Pathways. The current implementation of this method is null. This method can be implemented to return the simplified version of the pathhway.

  Throws:
    `SMEvolutionException`

### repairPathway

    public boolean repairPathway(Pathway pathway)

### repairPathway

    public boolean repairPathway(Transformation[] transformation)

### processAddTransformation

    protected abstract void processAddTransformation(Transformation crntTransformation)

### processDeleteTransformation

    protected abstract void processDeleteTransformation(Transformation crntTransformation)

### processRenameTransformation

    protected abstract void processRenameTransformation(Transformation crntTransformation)

### processExtendTransformation

    protected abstract void processExtendTransformation(Transformation crntTransformation)

### processContractTransformation

    protected abstract void processContractTransformation(Transformation crntTransformation)

### processEvolution

    public void processEvolution()
                          throws SMEvolutionException

  Specified by:
    `processEvolution` in interface `Evolution`
  Throws:
    `SMEvolutionException`

### processEvolution

    public void processEvolution(Transformation[] oldTs)
                          throws SMEvolutionException

  Throws:
    `SMEvolutionException`

### processTransformation

    public void processTransformation(Transformation crntTransformation)

  Process A Passed Transformation

  Parameters:
    `crntTransformation` - name of the current Transformation.

### getSchemaEvolutionType

    public int getSchemaEvolutionType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD